complexType "NonDeliverableSettlement"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 5 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | referenceCurrency?, (fxFixingDate | fxFixingSchedule)?, settlementRateOption?, priceSourceDisruption?
</...>

Content Model Elements (5):

  fxFixingDate,
  fxFixingSchedule,
  priceSourceDisruption (in nonDeliverableSettlement in settlementProvision),
  referenceCurrency (in nonDeliverableSettlement in settlementProvision),
  settlementRateOption (in nonDeliverableSettlement in settlementProvision)

All Direct / Indirect Based Elements (1):

  nonDeliverableSettlement (in settlementProvision)

Known Usage Locations

- As direct type of elements (1):
  nonDeliverableSettlement (in settlementProvision)

Annotation
A type defining the parameters used when the reference currency of the swapStream is non-deliverable.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="NonDeliverableSettlement"> <xsd:sequence> <xsd:element minOccurs="0" name="referenceCurrency" type="Currency"/> <xsd:choice minOccurs="0"> <xsd:element name="fxFixingDate" type="FxFixingDate"/> <xsd:element name="fxFixingSchedule" type="AdjustableDates"/> </xsd:choice> <xsd:element minOccurs="0" name="settlementRateOption" type="SettlementRateOption"/> <xsd:element minOccurs="0" name="priceSourceDisruption" type="PriceSourceDisruption"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
fxFixingDate

  Type: | FxFixingDate, complex content

  The date, when expressed as a relative date, on which the currency rate will be determined for the purpose of specifying the amount in deliverable currency.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fxFixingDate" type="FxFixingDate"/>

fxFixingSchedule

  Type: | AdjustableDates, complex content

  The date, when expressed as a schedule of date(s), on which the currency rate will be determined for the purpose of specifying the amount in deliverable currency.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fxFixingSchedule" type="AdjustableDates"/>

priceSourceDisruption

  Type: | PriceSourceDisruption, complex content

  A type defining the parameters to get a new quote when a settlement rate option is disrupted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="priceSourceDisruption" type="PriceSourceDisruption"/>

referenceCurrency

  Type: | Currency, simple content

  The currency in which the swap stream is denominated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referenceCurrency" type="Currency"/>

settlementRateOption

  Type: | SettlementRateOption, simple content

  The rate source for the conversion to the settlement currency. This source is specified through a scheme that reflects the terms of the Annex A to the 1998 FX and Currency Option Definitions.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementRateOption" type="SettlementRateOption"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.